{
  "name": "web-ui-backend",
  "version": "1.0.0",
  "private": true,
  "scripts": {
	"prod": "cross-env NODE_ENV=prod nodemon --exec babel-node ./bin/www",
    "dev": "cross-env NODE_ENV=dev nodemon --exec babel-node ./bin/www",
    "lint": "npx eslint ./",
    "test": "cross-env NODE_ENV=dev jest --coverage && jest-coverage-badges",
    "jsdoc": "npx jsdoc ./ -c ./jsdoc.json"
  },
  "dependencies": {
    "body-parser": "^1.19.0",
    "cookie-parser": "1.4.4",
    "cors": "2.8.5",
    "debug": "4.1.1",
    "express": "4.17.1",
    "faker": "4.1.0",
    "helmet": "3.21.2",
    "lodash": "4.17.15",
    "log4js": "6.1.0",
    "mongoose": "^5.8.6",
    "morgan": "1.9.1"
  },
  "devDependencies": {
    "@babel/cli": "7.2.3",
    "@babel/core": "7.4.0",
    "@babel/node": "7.2.2",
    "@babel/preset-env": "7.4.2",
    "babel-eslint": "10.0.1",
    "babel-jest": "24.8.0",
    "cross-env": "5.2.0",
    "docdash": "1.1.1",
    "eslint": "6.0.1",
    "eslint-config-airbnb-base": "13.2.0",
    "eslint-plugin-import": "2.18.0",
    "eslint-plugin-jest": "22.7.2",
    "eslint-plugin-security": "1.4.0",
    "husky": "3.0.0",
    "jest": "24.8.0",
    "jest-coverage-badges": "1.1.2",
    "jest-transform-stub": "2.0.0",
    "jsdoc": "3.6.3",
    "nodemon": "1.19.1",
    "supertest": "4.0.2"
  },
  "jest": {
    "moduleNameMapper": {
      "\\.(jpg|jpeg|png|gif|eot|otf|webp|svg|ttf|woff|woff2|mp4|webm|wav|mp3|m4a|aac|oga)$": "jest-transform-stub"
    },
    "collectCoverage": true,
    "coverageDirectory": "./coverage",
    "coverageReporters": [
      "json-summary",
      "text",
      "lcov"
    ],
    "testPathIgnorePatterns": [
      "/docs/"
    ],
    "testEnvironment": "node"
  },
  "husky": {
    "hooks": {
      "pre-commit": "npm run lint"
    }
  },
  "engines": {
    "node": ">=10.0.0"
  }
}
